Skip to main content
GET
/
payment-accounts
/
{paymentAccountId}
/
balance
Get payment account balance
curl --request GET \
  --url https://api.fernhq.com/payment-accounts/{paymentAccountId}/balance \
  --header 'Authorization: Bearer <token>'
{
  "paymentAccountId": "072a8b7b-38c7-429a-a6cf-35dae7f2fb77",
  "currency": {
    "label": "USDC",
    "chain": "base",
    "currencyDecimals": "18",
    "contractAddress": "0x1234567890abcdef1234567890abcdef12345678"
  },
  "balance": "1000.00",
  "usdValue": "1000.00"
}

Authorizations

Authorization
string
header
required

To authenticate server-side requests

Path Parameters

paymentAccountId
string<uuid>
required

Unique identifier of the payment account

Query Parameters

chain
enum<string>
required

The chain the wallet is on. case-sensitive

Available options:
ARBITRUM,
BASE,
ETHEREUM,
OPTIMISM,
POLYGON,
SOLANA
currency
string
required

The currency to get the balance for

Response

Response schema for retrieving the balance of a payment account

Response schema for retrieving the balance of a payment account

paymentAccountId
string<uuid>
required

Unique identifier of the payment account

Example:

"072a8b7b-38c7-429a-a6cf-35dae7f2fb77"

currency
object
required
balance
string
required

The balance of the payment account in the specified currency

Example:

"1000.00"

usdValue
string
required

The USD value of the balance

Example:

"1000.00"